Admin
Get the administration overview
User and workspace counts, the five newest users and administrative actions, compact service checks, and configuration warnings. Activity is based on session refreshes within 30 days and excludes deactivated accounts. Requires all four instance permissions: users:read, workspaces:read, audit:read, and system:read; API keys are rejected. No credentials or audit metadata are returned.
GET
/
admin
/
overview
Get the administration overview
curl --request GET \
--url https://cloud.kaneo.app/api/admin/overview \
--header 'Authorization: Bearer <token>'import requests
url = "https://cloud.kaneo.app/api/admin/overview"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://cloud.kaneo.app/api/admin/overview', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://cloud.kaneo.app/api/admin/overview",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://cloud.kaneo.app/api/admin/overview"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://cloud.kaneo.app/api/admin/overview")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://cloud.kaneo.app/api/admin/overview")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"users": {
"total": 123,
"activeLast30Days": 123,
"deactivated": 123
},
"workspaces": {
"total": 123,
"archived": 123
},
"recentUsers": [
{
"id": "<string>",
"name": "<string>",
"email": "<string>",
"image": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
],
"recentActions": [
{
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"action": "<string>",
"actor": {
"id": "<string>",
"name": "<string>",
"email": "<string>"
},
"targetType": "<string>",
"targetId": "<string>",
"targetLabel": "<string>"
}
],
"services": {
"checkedAt": "2023-11-07T05:31:56Z",
"api": "ok",
"database": "ok",
"realtime": "ok",
"redis": "ok",
"email": "ok",
"storage": "ok"
},
"warnings": [
"smtp_not_configured"
]
}{
"message": "Task not found",
"code": "NOT_FOUND",
"issues": [
{
"path": "body.title",
"message": "Required"
}
],
"missingPermissions": [
"task:update"
]
}{
"message": "Task not found",
"code": "NOT_FOUND",
"issues": [
{
"path": "body.title",
"message": "Required"
}
],
"missingPermissions": [
"task:update"
]
}{
"message": "Task not found",
"code": "NOT_FOUND",
"issues": [
{
"path": "body.title",
"message": "Required"
}
],
"missingPermissions": [
"task:update"
]
}Response
Instance overview
Was this page helpful?
⌘I
Get the administration overview
curl --request GET \
--url https://cloud.kaneo.app/api/admin/overview \
--header 'Authorization: Bearer <token>'import requests
url = "https://cloud.kaneo.app/api/admin/overview"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://cloud.kaneo.app/api/admin/overview', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://cloud.kaneo.app/api/admin/overview",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://cloud.kaneo.app/api/admin/overview"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://cloud.kaneo.app/api/admin/overview")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://cloud.kaneo.app/api/admin/overview")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"users": {
"total": 123,
"activeLast30Days": 123,
"deactivated": 123
},
"workspaces": {
"total": 123,
"archived": 123
},
"recentUsers": [
{
"id": "<string>",
"name": "<string>",
"email": "<string>",
"image": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
],
"recentActions": [
{
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"action": "<string>",
"actor": {
"id": "<string>",
"name": "<string>",
"email": "<string>"
},
"targetType": "<string>",
"targetId": "<string>",
"targetLabel": "<string>"
}
],
"services": {
"checkedAt": "2023-11-07T05:31:56Z",
"api": "ok",
"database": "ok",
"realtime": "ok",
"redis": "ok",
"email": "ok",
"storage": "ok"
},
"warnings": [
"smtp_not_configured"
]
}{
"message": "Task not found",
"code": "NOT_FOUND",
"issues": [
{
"path": "body.title",
"message": "Required"
}
],
"missingPermissions": [
"task:update"
]
}{
"message": "Task not found",
"code": "NOT_FOUND",
"issues": [
{
"path": "body.title",
"message": "Required"
}
],
"missingPermissions": [
"task:update"
]
}{
"message": "Task not found",
"code": "NOT_FOUND",
"issues": [
{
"path": "body.title",
"message": "Required"
}
],
"missingPermissions": [
"task:update"
]
}